// -*- c++ -*-

#ifndef TELETEXTMAINWIN_H
#define TELETEXTMAINWIN_H

#include <qvbox.h>

class QLineEdit;
class TeletextWidget;
class KAnimWidget;

/**
 *
 *
 * @version $Id: teletextmainwin.h,v 1.1 2002/09/25 22:34:54 rich Exp $
 */
class TeletextMainWin : public QVBox
{
    Q_OBJECT

public:
    TeletextMainWin();
    virtual ~TeletextMainWin();

public slots:
    void returnPressed();
    void setPage( const QString &page );
    void foundPage();

private:
    TeletextWidget *view;
    QLineEdit *edit;
    KAnimWidget *anim;
};

#endif // TELETEXTMAINWIN_H

