/* 
    Copyright (C) 2002 George Staikos (staikos@kde.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef _CHANNELIMPORTITEM_H
#define _CHANNELIMPORTITEM_H


#include "qvchannelplugin.h"
#include <qlistview.h>

class ChannelImportItem : public QListViewItem {
public:
	ChannelImportItem(QListView *p, QVChannelPlugin::ChannelFileMetaInfo& i,
			 const QString& f)
	: QListViewItem(p, i.name(), i.norm())
	{
		_f = f;
	}

	QString _f;
};


#endif

