/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename slots use Qt Designer which will
** update this file, preserving your code. Create an init() slot in place of
** a constructor, and a destroy() slot in place of a destructor.
*****************************************************************************/

#include <knuminput.h>

void ChannelPropertiesDialog::freqUp()
{
    if (_freq->value() + _freqStep < 1000.0)
         _freq->setValue(_freq->value() + _freqStep);
    else
         _freq->setValue(1000.0);

    emit frequencyUpdate( _freq->value()*1000 );
}

void ChannelPropertiesDialog::freqDown()
{
    if (_freq->value()  - _freqStep > 0.0)
         _freq->setValue(_freq->value() - _freqStep);
    else
        _freq->setValue(0.0);

    emit frequencyUpdate( _freq->value()*1000 );
}


void ChannelPropertiesDialog::setFreqStep( double f )
{
    _freqStep = f;
}
