// -*- c++ -*-

/*
 * Copyright (C) 2002 Richard Moore <rich@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef SCREENSAVER_H
#define SCREENSAVER_H

#include <qdialog.h>
#include <qcolor.h>
#include <kscreensaver.h>

class KColorButton;


class QtVisionSaver : public KScreenSaver
{
    Q_OBJECT

public:
    QtVisionSaver( WId drawable );
    virtual ~QtVisionSaver();

    void blank();
};

#endif // SCREENSAVER_H




