#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "teletextmainwin.h"

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
};

int main( int argc, char *argv[] )
{
  KAboutData aboutData( "test_teletextwidget", I18N_NOOP( "test_teletextwidget" ),
			"test_teletextwidget 0.1", 
			I18N_NOOP( "Command-line tool for testing TeletextWidget." ),
			KAboutData::License_GPL,
			"(C) 2002 Richard Moore (rich@kde.org)" );
  aboutData.addAuthor( "Richard Moore", 0, "rich@kde.org" );

  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
//  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  QObject::connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

  TeletextMainWin *w = new TeletextMainWin();
  w->resize( 500, 300 );
  w->show();

  return app.exec();
}

